Author Topic: Unable to update PHP 5.6.37 to 7.4  (Read 1193 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Unable to update PHP 5.6.37 to 7.4
« on: December 18, 2021, 10:33:01 AM »
Hello,
 I recently installed CWP and it came with PHP 5.6 installed.

I went to CWP > PHP Settings > Switcher and selected 7.4.26 and rebuilt it.

Even after hours, the version is still the same 5.6.x

What's wrong in here? Can you please help?

I tried to change version for like 3-4 times (different days). But it's still not updated. Please assist me. Thanks

Offline
**
Re: Unable to update PHP 5.6.37 to 7.4
« Reply #1 on: December 18, 2021, 12:06:34 PM »
Try 7.3 instead.  I had the same problem.
Listen to everything Pixelpadre says.

Offline
*
Re: Unable to update PHP 5.6.37 to 7.4
« Reply #2 on: December 18, 2021, 01:26:13 PM »
I tried to update to 7.3.33 but still after an hour - NO Success! :( :(

Offline
*
Re: Unable to update PHP 5.6.37 to 7.4
« Reply #3 on: December 18, 2021, 04:36:07 PM »
Are you using OpenVZ as your environment?

Probably some modules are missing, like Lip Sodium, you need to check your logs.

Change the PHP version and run in your ssh: tail -f /var/log/php-rebuild.log.

If you follow the installation logs, you may find the problems there.

Offline
*
Re: Unable to update PHP 5.6.37 to 7.4
« Reply #4 on: December 18, 2021, 07:40:20 PM »
Are you using OpenVZ as your environment?

Probably some modules are missing, like Lip Sodium, you need to check your logs.

Change the PHP version and run in your ssh: tail -f /var/log/php-rebuild.log.

If you follow the installation logs, you may find the problems there.

Thanks for your reply.

I'm using KVM.

Anyways the problem is solved.

After searching a lot. I first ran this command to install the missing libraries.

Code: [Select]
yum install oniguruma oniguruma-devel gcc make gcc-c++ cpp kernel-headers.x86_64 libxml2-devel openssl-devel bzip2-devel libjpeg-devel libpng-devel freetype-devel openldap-devel postgresql-devel aspell-devel net-snmp-devel libxslt-devel libc-client-devel libicu-devel gmp-devel curl-devel libmcrypt-devel pcre-devel sqlite-devel db4-devel enchant-devel libXpm-devel mysql-devel readline-devel libedit-devel recode-devel libtidy-devel libtool-ltdl-devel libwebp libwebp-devel expat expat-devel
Then as per your suggestion, I ran this command to install sodium for php74 (Yes, it was missing and was not previously installed)
Code: [Select]
sudo yum --enablerepo=remi-php74 install php-sodium
Then I went to the PHP version Switcher and again rebuilt and now it was built successfully and now my CWP is using 7.4.26

« Last Edit: December 18, 2021, 07:42:10 PM by AdnanSarwar01 »